%global debug_package %{nil}

Name:          vinegar
Version:       v1.7.8
Release:       %autorelease
Summary:       A minimal, configurable, fast bootstrapper for running Roblox on Linux

License:       GPL-3.0-or-later
Group:         Amusements/Games
URL:           https://vinegarhq.org
Source0:       https://github.com/vinegarhq/vinegar/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: golang >= 1.22

# Gio deps https://gioui.org/doc/install/linux TODO: use golang() and other go helper tools but somehow stick with the makefile (?)
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(vulkan)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xfixes)

# make mime
BuildRequires: xdg-utils
# icon scaling
# BuildRequires: ImageMagick

# desktop and appstream file validation
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

# Recommends: wine < 8.16
Suggests:      gamemode
# Some version of wine is required! Not a dependency for flexibility - this default because upstream has an issue that likely won't be fixed (see: segregrevert patch).
# will be moved to a require if it's ever fixed
Suggests:      wine >= 8.3

ExclusiveArch: x86_64

%description
Vinegar is a transparent, minimal, configurable, and fast bootstrapper
for Roblox Player and Roblox Studio.

%prep
%autosetup

%build
%make_build

%install
%make_install
make mime

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.app.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.player.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.studio.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.vinegarhq.Vinegar.metainfo.xml

%files
%doc README.md
%license LICENSE
%{_bindir}/vinegar
%{_datadir}/applications/org.vinegarhq.Vinegar.desktop
%{_datadir}/applications/org.vinegarhq.Vinegar.app.desktop
%{_datadir}/applications/org.vinegarhq.Vinegar.player.desktop
%{_datadir}/applications/org.vinegarhq.Vinegar.studio.desktop
%{_metainfodir}/org.vinegarhq.Vinegar.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.vinegarhq.Vinegar.svg
%{_iconsdir}/hicolor/16x16/apps/org.vinegarhq.Vinegar.player.png
%{_iconsdir}/hicolor/16x16/apps/org.vinegarhq.Vinegar.studio.png
%{_iconsdir}/hicolor/32x32/apps/org.vinegarhq.Vinegar.player.png
%{_iconsdir}/hicolor/32x32/apps/org.vinegarhq.Vinegar.studio.png
%{_iconsdir}/hicolor/48x48/apps/org.vinegarhq.Vinegar.player.png
%{_iconsdir}/hicolor/48x48/apps/org.vinegarhq.Vinegar.studio.png
%{_iconsdir}/hicolor/64x64/apps/org.vinegarhq.Vinegar.player.png
%{_iconsdir}/hicolor/64x64/apps/org.vinegarhq.Vinegar.studio.png
%{_iconsdir}/hicolor/128x128/apps/org.vinegarhq.Vinegar.player.png
%{_iconsdir}/hicolor/128x128/apps/org.vinegarhq.Vinegar.studio.png

%changelog
%autochangelog
